SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";

--
-- Insert data into table #__content_types for UCM functions
--
INSERT INTO `#__content_types` (`type_title`, `type_alias`, `table`, `rules`, `field_mappings`, `router`, `content_history_options`) VALUES
('Voters', 'com_gavoting.voter', '{"special":{"dbtable":"#__gavoting_voters","key":"id","type":"Voter","prefix":"VotersTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"state","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"description", "core_hits":"hits","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"params", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"urls", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"xreference", "asset_id":"null"}, "special":{}}', 'VotersHelperRoute::getVoterRoute', '{"formFile":"administrator\\/components\\/com_gavoting\\/models\\/forms\\/voter.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","featured","images"], "ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time", "version", "hits"], "convertToInt":["publish_up", "publish_down", "featured", "ordering"], "displayLookup":[{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"created_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"} ]}'),
('Voters Category', 'com_gavoting.category', '{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special":{"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}', 'VotersHelperRoute::getCategoryRoute', '{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"],"convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}');

--
-- Table: #__gavoting_positions
--
CREATE TABLE IF NOT EXISTS `#__gavoting_positions` (
`id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
`ordering` INT(11) NOT NULL DEFAULT 0,
`state` TINYINT(1)  NOT NULL DEFAULT 0,
`checked_out` INT(11)  NOT NULL DEFAULT 0,
`checked_out_time` DATETIME NULL ,
`created_by` INT(11) NOT NULL  DEFAULT 0,
`modified_by` INT(11) NOT NULL  DEFAULT 0,
`created_date` DATETIME NULL ,
`modified_date` DATETIME NULL ,
`pos_name` VARCHAR(255)  NULL  ,
`cat_id` INT(11)  NOT NULL DEFAULT 0 ,
`pos_qty` INT(11) NOT NULL DEFAULT 1,
`elect_date` DATETIME NULL ,
`elected` VARCHAR(255)  NULL ,
`jd_id` INT(11)  NOT NULL DEFAULT 0 ,
`comment` TEXT NULL ,
PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_unicode_ci;

INSERT into `#__gavoting_positions` (`state`, `created_date`, `pos_name`) VALUES
(1, '2021-09-07 00:00:00', 'President'),
(1, '2021-09-07 00:00:00', 'Vice President'),
(1, '2021-09-07 00:00:00', 'Secretary'),
(1, '2021-09-07 00:00:00', 'Treasurer'),
(1, '2021-09-07 00:00:00', 'Membership Officer'),
(1, '2021-09-07 00:00:00', 'Public Officer'),
(1, '2021-09-07 00:00:00', 'Property Officer'),
(1, '2021-09-07 00:00:00', 'Welfare Officer'),
(1, '2021-09-07 00:00:00', 'Editor'),
(1, '2021-09-07 00:00:00', 'Web Administrator');

--
-- Table: #__gavoting_nominations
--
CREATE TABLE IF NOT EXISTS `#__gavoting_nominations` (
`id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
`ordering` INT(11) NOT NULL  DEFAULT 0,
`state` TINYINT(1)  NOT NULL DEFAULT 0,
`checked_out` INT(11) NOT NULL  DEFAULT 0,
`checked_out_time` DATETIME NULL ,
`created_by` INT(11)  NOT NULL DEFAULT 0,
`modified_by` INT(11)  NOT NULL DEFAULT 0,
`created_date` DATETIME NULL ,
`modified_date` DATETIME NULL ,
`position_id` INT(11)  NOT NULL DEFAULT 0 ,
`nomination` INT(11)  NOT NULL DEFAULT 0 ,
`nom_name` VARCHAR(255)  NULL ,
`nom_date` DATETIME NULL ,
`nom_id` INT(11)  NOT NULL DEFAULT 0 ,
`sec_id` INT(11)  NOT NULL DEFAULT 0 ,
`agreed` TINYINT(1) NULL,
`agreed_date` DATETIME NULL ,
`votes` INT(11)  NOT NULL DEFAULT 0,
`comment` TEXT NULL ,
PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_unicode_ci;

--
-- Table: #__gavoting_voters
--
CREATE TABLE IF NOT EXISTS `#__gavoting_voters` (
`id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
`ordering` INT(11) NOT NULL  DEFAULT 0,
`state` TINYINT(1) NOT NULL  DEFAULT 0,
`checked_out` INT(11) NOT NULL  DEFAULT 0,
`checked_out_time` DATETIME NULL ,
`created_by` INT(11) NOT NULL  DEFAULT 0,
`modified_by` INT(11) NOT NULL  DEFAULT 0,
`created_date` DATETIME NULL ,
`modified_date` DATETIME NULL ,
`user_id` INT(11)  NOT NULL DEFAULT 0 ,
`proxy_vote` TINYINT(1)  NOT NULL DEFAULT 0 ,
`cat_id` INT(11)  NOT NULL DEFAULT 0 ,
`motion_id` INT(11)  NOT NULL DEFAULT 0 ,
`comment` TEXT NULL ,
PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_unicode_ci;

--
-- Table: #__gavoting_motions
--
CREATE TABLE IF NOT EXISTS `#__gavoting_motions` (
`id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
`ordering` INT(11) NOT NULL  DEFAULT 0,
`state` TINYINT(1) NOT NULL  DEFAULT 0,
`checked_out` INT(11) NOT NULL  DEFAULT 0,
`checked_out_time` DATETIME NULL ,
`created_by` INT(11) NOT NULL  DEFAULT 0,
`modified_by` INT(11) NOT NULL  DEFAULT 0,
`created_date` DATETIME NULL ,
`modified_date` DATETIME NULL ,
`motion` TEXT NULL ,
`mov_date` DATETIME NULL ,
`mov_id` INT(11)  NULL ,
`sec_id` INT(11)  NULL ,
`agreed` TINYINT(1)  NULL ,
`agreed_date` DATETIME NULL ,
`votes_for` INT(11)  NOT NULL DEFAULT 0,
`votes_against` INT(11)  NOT NULL DEFAULT 0,
`comment` TEXT NULL ,
PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_unicode_ci;

--
-- Table: #__gavoting_proxys
--
CREATE TABLE IF NOT EXISTS `#__gavoting_proxys` (
`id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
`ordering` INT(11) NOT NULL  DEFAULT 0,
`state` TINYINT(1) NOT NULL  DEFAULT 0,
`checked_out` INT(11) NOT NULL  DEFAULT 0,
`checked_out_time` DATETIME NULL ,
`created_by` INT(11) NOT NULL  DEFAULT 0,
`modified_by` INT(11) NOT NULL  DEFAULT 0,
`created_date` DATETIME NULL ,
`modified_date` DATETIME NULL ,
`user_id` INT(11)  NOT NULL DEFAULT 0 ,
`voter_id` INT(11)  NOT NULL DEFAULT 0 ,
`cat_id` INT(11)  NOT NULL DEFAULT 0 ,
`agreed` TINYINT(1) NULL ,
`agreed_date` DATETIME NULL ,
`comment` TEXT NULL ,
PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_unicode_ci;

--
-- Table: #__gavoting_preferences
--
CREATE TABLE IF NOT EXISTS `#__gavoting_preferences` (
`id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
`ordering` INT(11) NOT NULL  DEFAULT 0,
`state` TINYINT(1) NOT NULL  DEFAULT 0,
`checked_out` INT(11) NOT NULL  DEFAULT 0,
`checked_out_time` DATETIME NULL ,
`created_by` INT(11) NOT NULL  DEFAULT 0,
`modified_by` INT(11) NOT NULL  DEFAULT 0,
`created_date` DATETIME NULL ,
`modified_date` DATETIME NULL ,
`position_id` INT(11)  NOT NULL DEFAULT 0 ,
`nomination` INT(11)  NOT NULL DEFAULT 0 ,
`cat_id` INT(11)  NOT NULL DEFAULT 0 ,
`pref` INT(11)  NOT NULL DEFAULT 0 ,
`comment` TEXT NULL ,
PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_unicode_ci;


