/**
 * @version     4.7.3
 * @package     com_gavoting
 * @copyright   2021 Glenn Arkell
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Glenn Arkell <glenn@glennarkell.com.au>
 * Special thanks to Zollie (JSE) for guidance on this at
 * https://joomla.stackexchange.com/questions/32866/use-ajax-to-refresh-available-options
 */

window.addEventListener("load", () => {

    //var myNominations = Joomla.getOptions('com_gavoting');
    //console.log(myNominations);

    // this array should be provided by PHP
    const positions = ['Foo', 'Bar', 'Baz', 'Gaz'];
    //var positions = <?=json_encode($posIDs)?>
    // this array should be provided by PHP
    const nominees = ["Select nominee", 'Adam', 'Stewart', 'David', 'Joe', 'Margaret'];
    //var nominees = <?=json_encode($nomIDs)?>

    const prefCount = nominees.length - 1 ;

    const createdForm = document.getElementById('form3');

    const select1 = createdForm.querySelector('select');

    let options = nominees.map(nominee => `<option value=${nominee}>${nominee}</option>`).join('\n');
    select1.innerHTML = options;

    let selectedPref = null;

    let selectedPrefTexts = [];    

    let counter1 = 0

    select1.addEventListener("change", (sel) => {

        counter1++;

        if (counter1 <= prefCount) {
            let selValue = select1.options[select1.selectedIndex].text;

            let prefLabel = document.createElement("h3");
            prefLabel.innerHTML = "Select preference for " + selValue;

            let prefSelect = document.createElement('select');
            createdForm.appendChild(prefLabel);
            createdForm.appendChild(prefSelect);

            const prefSelection = addOption(prefCount, prefSelect, createdForm, selectedPref, selectedPrefTexts);
            
            
            prefSelection.addEventListener("change", () => {
                selectedPref = prefSelection.options[prefSelection.selectedIndex].text;
                selectedPrefTexts.push(selectedPref);
                
                let noticeNext = '<p id="short-notice" style="color: green; font-weigth: bold;">Select another nominee</p>';
                let thanksText = '<p id="thanks-notice" style="color: green; font-weigth: bold;">Thank you, please submit</p>'
                if (counter1 < prefCount) {
                    prefSelect.insertAdjacentHTML("afterend", noticeNext);
                } else {
                    prefSelect.insertAdjacentHTML("afterend", thanksText);
                }

                // we do not want the already selected nominee
                deleteNomOption(select1);
                prefSelection.setAttribute("disabled", "true");
            });
        }

        if (counter1 == prefCount) {
            let subBtn = '<input type="submit" value="Submit" style="display: block; margin-top:0.8rem;">';
            createdForm.insertAdjacentHTML("beforeend", subBtn);
            // at click on submit we have to make all the preferences select field 'disabled' attribute false!!!!!
            // with using setAttribute("disabled", "false")
        }

    }); 

});

function addOption(count, el, form, selectedPref, selectedVals) {
    for (let index = 0; index < count+1; index++) {
            
        let prefOption = document.createElement('option');
        if (index == 0) {
            prefOption.innerHTML = "Select Preference"
            el.appendChild(prefOption);
            continue;
        }
        
        if (!selectedVals.includes("Preference " + (index))) {
            prefOption.value = "Preference " + (index);
            prefOption.innerHTML = "Preference " + (index);
            el.appendChild(prefOption);
        }      
                       
    }

    return el;
}

function deleteNomOption(el) {    
    el.options[el.selectedIndex].remove();
}
