<?php

/**
 * @version     4.7.3
 * @package     com_gavoting
 * @subpackage  mod_gavoting
 * @author      Glenn Arkell <glenn@glennarkell.com.au>
 * @copyright   2022 Glenn Arkell
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

namespace GlennArkell\Module\Gavoting\Site\Helper;

defined('_JEXEC') or die;

use \Joomla\CMS\Factory;
use \Joomla\CMS\Language\Text;
use \GlennArkell\Component\Gavoting\Administrator\Helper\GavotingHelper AS ComGavotingHelper;

/**
 * Helper for mod_gavoting
 */
class GavotingHelper
{
	/**
	 * Retrieve component items
	 * @param   Joomla\Registry\Registry &$params module parameters
	 * @return array Array with all the elements
     * @throws Exception
	 */
	public static function getLastElection(&$params)
	{
		$catId = $params->get('election_year', 0);
		$exec_limit = $params->get('exec_limit', 0);
		$positions = $params->get('positions', 0);

        $app   = Factory::getApplication();
        $db		= Factory::getContainer()->get('DatabaseDriver');
		$query = $db->getQuery(true);
		$query->select('a.*, c.title AS election_year ');
		$query->from('#__gavoting_positions AS a');
		$query->join('LEFT', '#__categories AS c ON c.id = a.cat_id');
    	$query->where('a.state = 2 ');
		if ($catId) {
            $query->where('a.cat_id = ' . (int) $catId);
        } else {
            $query->order('a.cat_id DESC ');
        }

		$db->setQuery($query);
		$elections = $db->loadObjectList();

		if ($exec_limit) {
            $posName = array();
            foreach ($positions as $pos) {
                $posName[] = ComGavotingHelper::getPosition($pos)->pos_name;
            }
            foreach ($elections as $e) {
                if (in_array($e->pos_name, $posName)) {
                    $elects[] = $e;
                }
            }
        } else {
            $elects = $elections;
        }

		return $elects;
	}

}
