<?php
/**
 * @version    4.7.3
 * @package    Com_Gavoting
 * @author     Glenn Arkell <glenn@glennarkell.com.au>
 * @copyright  2020 Glenn Arkell
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 */
// No direct access
defined('_JEXEC') or die;

use \Joomla\CMS\HTML\HTMLHelper;
use \Joomla\CMS\Factory;
use \Joomla\CMS\Router\Route;
use \Joomla\CMS\Language\Text;
use \Joomla\CMS\Layout\LayoutHelper;
use \GlennArkell\Component\Gavoting\Administrator\Helper\GavotingHelper;
use \GlennArkell\Component\Gavoting\Administrator\Helper\GaajaxHelper;

// Load admin language file
$lang = Factory::getLanguage();
$lang->load('com_gavoting', JPATH_ADMINISTRATOR);

$items = $displayData['data'];

// setup the parameters
$allow_proxy = $items->params->get('allow_proxy', 0);
$proxy_type = $items->params->get('proxy_type');
$dupl_vote = $items->params->get('dupl_vote', 1);
$reg_proxy = $items->params->get('reg_proxy', 1);
$proxyCnt = GavotingHelper::countProxyVotes($items->voting_user);
$prevPos='';
$cntr=0;

//If this is the chairpersons decider vote, reset proxies
if ($items->deciderVote) {
    $proxyCnt = 0;
}
// set fields to be hidden if required
$items->form->setFieldAttribute('id', 'type', 'hidden');
$items->form->setFieldAttribute('id', 'default', $items->id);
$items->form->setFieldAttribute('ordering', 'type', 'hidden');
$items->form->setFieldAttribute('state', 'type', 'hidden');
$items->form->setFieldAttribute('created_by', 'type', 'hidden');
$items->form->setFieldAttribute('modified_by', 'type', 'hidden');
$items->form->setFieldAttribute('created_date', 'type', 'hidden');
$items->form->setFieldAttribute('modified_date', 'type', 'hidden');
$items->form->setFieldAttribute('user_id', 'type', 'hidden');
$items->form->setFieldAttribute('user_id', 'default', $items->voting_user);
$items->form->setFieldAttribute('cat_id', 'type', 'hidden');
$items->form->setFieldAttribute('cat_id', 'default', $items->cat_id);

//$posIDs = $items->posIDs;
//$nomIDs = $items->nomIDs;
?>

<h2><?php echo Text::_('COM_GAVOTING_VOTER_SUBMIT_TEXT'); ?></h2>
<form id="form-voter"
	  action="<?php echo Route::_('index.php?option=com_gavoting&task=voterform.save'); ?>"
	  method="post" class="form-validate form-horizontal" enctype="multipart/form-data">

	<?php echo $items->form->renderFieldset('sysinfo'); ?>
	<?php echo $items->form->renderField('user_id'); ?>
	<?php echo $items->form->renderField('cat_id'); ?>

	<?php echo LayoutHelper::render('default_proxy', array('data' => $items), dirname(__FILE__)); ?>

	<?php /* ------------  Cycle through the positions records and show the nomination   ------ */ ?>
	<?php /* the nominations are in an array of position arrays and then each position array is */ ?>
	<?php /* an array of nominations objects. so Key is the posID */ ?>

	<?php //foreach ($items->nominations AS $posID => $nomins) : $NomCntr = 0; ?>
	<?php foreach ($items->posIDs AS $posID => $posName) : $NomCntr = 0; ?>
        <?php $nomins = GavotingHelper::getNominationsByPosition($posID);
		<?php if (is_array($nomins) && !empty($nomins)) : ?>

            <div class="container" class="created-form">
				<h2><?php echo $nomins->position_id_name; ?></h2>
                <div id="selection-area">
    				<form action="" id="form3" name="form3">
        				<label for="nom-select">Choose a nominee:</label>
        				<select></select>
                    </form>
                </div>
            </div>
		<?php endif; ?>

	<?php endforeach; ?>

	<div class="control-group">
		<div class="controls">
			<?php if ($items->canSave): ?>
				<button type="submit" class="validate btn btn-primary">
					<?php echo Text::_('JSUBMIT'); ?>
				</button>
			<?php endif; ?>
			<a class="btn btn-secondary"
			   href="<?php echo Route::_('index.php?option=com_gavoting&task=voterform.cancel'); ?>"
			   title="<?php echo Text::_('JCANCEL'); ?>">
				<?php echo Text::_('JCANCEL'); ?>
			</a>
		</div>
	</div>

	<input type="hidden" name="option" value="com_gavoting"/>
	<input type="hidden" name="task" value="voterform.save"/>
	<?php echo HTMLHelper::_('form.token'); ?>
</form>
