<?php
/**
 * @version    4.2.4
 * @package    Com_Gavoting
 * @author     Glenn Arkell <glenn@glennarkell.com.au>
 * @copyright  2020 Glenn Arkell
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 */
// No direct access
defined('_JEXEC') or die;

use \Joomla\CMS\HTML\HTMLHelper;
use \Joomla\CMS\Factory;
use \Joomla\CMS\Router\Route;
use \Joomla\CMS\Language\Text;
use \GlennArkell\Component\Gavoting\Administrator\Helper\GavotingHelper;

// Load admin language file
$lang = Factory::getLanguage();
$lang->load('com_gavoting', JPATH_ADMINISTRATOR);

$nominations = $displayData['data'];

// setup the parameters
$allow_proxy = $nominations->params->get('allow_proxy', 0);
$proxy_type = $nominations->params->get('proxy_type');
$dupl_vote = $nominations->params->get('dupl_vote', 1);
$reg_proxy = $nominations->params->get('reg_proxy', 1);
$proxyCnt = GavotingHelper::countProxyVotes($nominations->voting_user);
$prevPos='';
$cntr=0;

//If this is the chairpersons decider vote, reset proxies
if ($nominations->deciderVote) {
    $proxyCnt = 0;
}

?>

	<?php /* ------------  Set up displayed text explaining Proxy settings   ------------ */ ?>
	<?php if ($allow_proxy) : ?>
        <div>
    		<span style="color:red;">
    			<?php if ($proxy_type == 0) : ?>
    				<?php if ($dupl_vote) : ?>
    					<?php echo Text::_('COM_GAVOTING_PROXYVOTER_GENERAL_DUPYES'); ?>
    				<?php else : ?>
    					<?php echo Text::_('COM_GAVOTING_PROXYVOTER_GENERAL_DUPNO'); ?>
    				<?php endif; ?>
    			<?php elseif ($proxy_type == 1) : ?>
    				<?php echo Text::_('COM_GAVOTING_PROXYVOTER_MESSAGE'); ?><br />
    				<?php echo Text::_('COM_GAVOTING_PROXYVOTER_SPECIFIC'); ?>
    
    			<?php elseif ($proxy_type == 2) : ?>
    				<?php echo Text::_('COM_GAVOTING_PROXYVOTER_MESSAGE'); ?><br />
    				<?php echo Text::_('COM_GAVOTING_PROXY_HYBRID'); ?>
    			<?php endif; ?>
    		</span>
    	</div>
    	<?php if ($proxy_type == 0) : ?>
    		<?php if ($dupl_vote) : ?>
    			<?php if ($proxyCnt) : ?>
    				<div style="color:red; width:100%;" class="spacerheader center"><?php echo Text::sprintf('COM_GAVOTING_PROXYVOTER_COUNT', $proxyCnt); ?></div>
    			<?php endif; ?>
    		<?php else : ?>
    			<div style="color:red; width:100%;" class="spacerheader center"><?php echo Text::_('COM_GAVOTING_PROXYVOTER_WARNING'); ?></div>
    		<?php endif; ?>
    	<?php endif; ?>
    
    	<?php /* ------------  If proxy delegates MUST be registered   --------------------- */ ?>
    	<?php if ($reg_proxy) : ?>
    		<?php if (!$proxyCnt) : ?>
    			<div class="center"><?php echo Text::_('COM_GAVOTING_NOPROXY_REGISTERED'); ?></div>
    		<?php else : ?>
    		    <?php if ($proxy_type == 1 || $proxy_type == 2 || ($proxy_type == 0 && !$dupl_vote)) : ?>
    				<?php echo $nominations->form->renderField('proxy_vote'); ?>
    				<?php echo $nominations->form->renderField('proxy_for'); ?>
    		    <?php else : ?>
    				<input type="hidden" name="jform[proxy_vote]" value="0" />
    				<input type="hidden" name="jform[proxy_for]" value="0" />
    			<?php endif; ?>
    		    <?php if ($proxy_type == 2) : ?>
    				<?php echo $nominations->form->renderField('comment'); ?>
    		    <?php endif; ?>
    		<?php endif; ?>
    	<?php /* ------------  Registration of proxy delegates NOT necessary   -------------- */ ?>
    	<?php else : ?>
    	    <?php if ($proxy_type == 1 || $proxy_type == 2 || ($proxy_type == 0 && !$dupl_vote)) : ?>
    			<?php echo $nominations->form->renderField('proxy_vote'); ?>
    			<?php echo $nominations->form->renderField('proxy_for'); ?>
    	    <?php else : ?>
    			<input type="hidden" name="jform[proxy_vote]" value="0" />
    			<input type="hidden" name="jform[proxy_for]" value="0" />
    		<?php endif; ?>
    	    <?php if ($proxy_type == 2) : ?>
    			<?php echo $nominations->form->renderField('comment'); ?>
    	    <?php endif; ?>
    	<?php endif; ?>
	<?php endif; ?>

